<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.register.Register</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.register-module.html">Module&nbsp;register</a> ::
        Class&nbsp;Register
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Register</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register">source&nbsp;code</a></span></p>
<pre class="base-tree">
                 object --+    
                          |    
<a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a> --+
                              |
                             <strong class="uidshort">Register</strong>
</pre>

<hr />
<p>Delayed delivery tag.</p>
<p>Represents 'jabber:iq:register' (JEP-0077) element of a Jabber &lt;iq/&gt; stanza.</p>
<p>Please note that it is recommended to use <a href="pyxmpp.jabber.register.Register-class.html#get_form" class="link">get_form</a> and <a href="pyxmpp.jabber.register.Register-class.html#submit_form" class="link">submit_form</a> records
instead of accessing the <a href="pyxmpp.jabber.register.Register-class.html#form" class="link">form</a> and legacy fields directly. This way both
legacy and Data Forms registration would work transparently to the application.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.register.Register-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize the <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.register.Register-class.html#__from_xml" class="summary-sig-name" onclick="show_private();">__from_xml</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Initialize <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> from an XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.__from_xml">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.register.Register-class.html#complete_xml_element" class="summary-sig-name">complete_xml_element</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>,
        <span class="summary-sig-arg">doc</span>)</span><br />
      Complete the XML node with <code class="link">self</code> content.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.complete_xml_element">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.register.Register-class.html#get_form" class="summary-sig-name">get_form</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form_type</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">form</code><code class="variable-quote">'</code></span>)</span><br />
      Return Data Form for the <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.get_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.register.Register-class.html#submit_form" class="summary-sig-name">submit_form</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Make <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object for submitting the registration form.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.submit_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a></code></b>:
      <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html#as_xml">as_xml</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_name"></a><span class="summary-name">xml_element_name</span> = <code title="'query'"><code class="variable-quote">'</code><code class="variable-string">query</code><code class="variable-quote">'</code></code><br />
      : name for the XML element provided by the class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_namespace"></a><span class="summary-name">xml_element_namespace</span> = <code title="'jabber:iq:register'"><code class="variable-quote">'</code><code class="variable-string">jabber:iq:register</code><code class="variable-quote">'</code></code><br />
      : namespace URI for the XML element provided
by the class.
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="address"></a><span class="summary-name">address</span><br />
      : Address field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="city"></a><span class="summary-name">city</span><br />
      : City field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="date"></a><span class="summary-name">date</span><br />
      : Date field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="email"></a><span class="summary-name">email</span><br />
      : E-mail field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="first"></a><span class="summary-name">first</span><br />
      : First name field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a></span>
    </td><td class="summary">
        <a name="form"></a><span class="summary-name">form</span><br />
      : registration form (when available)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="instrutions"></a><span class="summary-name">instrutions</span><br />
      : Registration instructions (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="key"></a><span class="summary-name">key</span><br />
      : Key field (legacy protocol, obsolete)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="last"></a><span class="summary-name">last</span><br />
      : Last name field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="misc"></a><span class="summary-name">misc</span><br />
      : Misc field (legacy protocol, obsolete)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="name"></a><span class="summary-name">name</span><br />
      : Name field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="nick"></a><span class="summary-name">nick</span><br />
      : Nickname (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="password"></a><span class="summary-name">password</span><br />
      : Password (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="phone"></a><span class="summary-name">phone</span><br />
      : Phone field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">bool</code></span>
    </td><td class="summary">
        <a name="registered"></a><span class="summary-name">registered</span><br />
      : <code class="link">True</code> if entity is already registered
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">True</code> when the account should be removed</span>
    </td><td class="summary">
        <a name="remove"></a><span class="summary-name">remove</span><br />
      : <code class="link">True</code> when the account should be removed
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="state"></a><span class="summary-name">state</span><br />
      : State field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="text"></a><span class="summary-name">text</span><br />
      : Text field (legacy protocol, obsolete)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="url"></a><span class="summary-name">url</span><br />
      : URL field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="username"></a><span class="summary-name">username</span><br />
      : Username field (legacy protocol)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="zip"></a><span class="summary-name">zip</span><br />
      : ZIP code field (legacy protocol)
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize the <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : an optional XML node to parse.</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="__from_xml"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__from_xml</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.__from_xml">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> from an XML node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : the jabber:x:register XML element.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="complete_xml_element"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">complete_xml_element</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>,
        <span class="sig-arg">doc</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.complete_xml_element">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Complete the XML node with <code class="link">self</code> content.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : XML node with the element being built. It has already
right name and namespace, but no attributes or content.</li>
        <li><strong class="pname"><code>doc</code></strong> (: <code class="link">libxml2.xmlDoc</code>) - : document to which the element belongs.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.objects.StanzaPayloadObject-class.html#complete_xml_element">objects.StanzaPayloadObject.complete_xml_element</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_form</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form_type</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">form</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.get_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Return Data Form for the <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object.</p>
<p>Convert legacy fields to a data form if <a href="pyxmpp.jabber.register.Register-class.html#form" class="link">self.form</a> is <code class="link">None</code>, return <a href="pyxmpp.jabber.register.Register-class.html#form" class="link">self.form</a> otherwise.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form_type</code></strong> (: <code class="link">unicode</code>) - : If &quot;form&quot;, then a form to fill-in should be
returned. If &quot;sumbit&quot;, then a form with submitted data.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a></dt>
        <dd><a href="pyxmpp.jabber.register.Register-class.html#form" class="link">self.form</a> or a form created from the legacy fields</dd>
  </dl>
</td></tr></table>
</div>
<a name="submit_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">submit_form</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.register-pysrc.html#Register.submit_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Make <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a> object for submitting the registration form.</p>
<p>Convert form data to legacy fields if <a href="pyxmpp.jabber.register.Register-class.html#form" class="link">self.form</a> is <code class="link">None</code>.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form</code></strong> - : The form to submit. Its type doesn't have to be &quot;submit&quot;
(a &quot;submit&quot; form will be created here), so it could be the form
obtained from <a href="pyxmpp.jabber.register.Register-class.html#get_form" class="link">get_form</a> just with the data entered.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.register.Register-class.html" class="link">Register</a></dt>
        <dd>new registration element</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:02 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
